org.modeshape.sequencer.msoffice

## Class MSOfficeMetadataLexicon

- java.lang.Object
- - org.modeshape.sequencer.msoffice.MSOfficeMetadataLexicon

-     @Immutable
      public class MSOfficeMetadataLexicon
      extends Object

  A lexicon of names used within the MS Office sequencer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MSOfficeMetadataLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHOR`
    `static String` | `CHARACTERS`
    `static String` | `COMMENT`
    `static String` | `CREATED`
    `static String` | `CREATING_APPLICATION`
    `static String` | `EXCEL_SHEET`
    `static String` | `EXCEL_SHEET_NODE`
    `static String` | `FULL_CONTENT`
    `static String` | `HEADING_LEVEL`
    `static String` | `HEADING_NAME`
    `static String` | `HEADING_NODE`
    `static String` | `KEYWORDS`
    `static String` | `LAST_PRINTED`
    `static String` | `LAST_SAVED`
    `static String` | `METADATA_NODE`
    `static String` | `NOTES`
    `static String` | `PAGES`
    `static String` | `REVISION`
    `static String` | `SAVED`
    `static String` | `SHEET_NAME`
    `static String` | `SLIDE`
    `static String` | `SLIDE_NODE`
    `static String` | `SUBJECT`
    `static String` | `TEMPLATE`
    `static String` | `TEXT`
    `static String` | `THUMBNAIL`
    `static String` | `TITLE`
    `static String` | `TOTAL_EDITING_TIME`
    `static String` | `WORDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSOfficeMetadataLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### METADATA_NODE

          public static final String METADATA_NODE

      See Also:
        Constant Field Values

    - #### TITLE

          public static final String TITLE

      See Also:
        Constant Field Values

    - #### SUBJECT

          public static final String SUBJECT

      See Also:
        Constant Field Values

    - #### AUTHOR

          public static final String AUTHOR

      See Also:
        Constant Field Values

    - #### KEYWORDS

          public static final String KEYWORDS

      See Also:
        Constant Field Values

    - #### COMMENT

          public static final String COMMENT

      See Also:
        Constant Field Values

    - #### TEMPLATE

          public static final String TEMPLATE

      See Also:
        Constant Field Values

    - #### LAST_SAVED

          public static final String LAST_SAVED

      See Also:
        Constant Field Values

    - #### REVISION

          public static final String REVISION

      See Also:
        Constant Field Values

    - #### TOTAL_EDITING_TIME

          public static final String TOTAL_EDITING_TIME

      See Also:
        Constant Field Values

    - #### LAST_PRINTED

          public static final String LAST_PRINTED

      See Also:
        Constant Field Values

    - #### CREATED

          public static final String CREATED

      See Also:
        Constant Field Values

    - #### SAVED

          public static final String SAVED

      See Also:
        Constant Field Values

    - #### PAGES

          public static final String PAGES

      See Also:
        Constant Field Values

    - #### WORDS

          public static final String WORDS

      See Also:
        Constant Field Values

    - #### CHARACTERS

          public static final String CHARACTERS

      See Also:
        Constant Field Values

    - #### CREATING_APPLICATION

          public static final String CREATING_APPLICATION

      See Also:
        Constant Field Values

    - #### THUMBNAIL

          public static final String THUMBNAIL

      See Also:
        Constant Field Values

    - #### SLIDE

          public static final String SLIDE

      See Also:
        Constant Field Values

    - #### TEXT

          public static final String TEXT

      See Also:
        Constant Field Values

    - #### NOTES

          public static final String NOTES

      See Also:
        Constant Field Values

    - #### FULL_CONTENT

          public static final String FULL_CONTENT

      See Also:
        Constant Field Values

    - #### SHEET_NAME

          public static final String SHEET_NAME

      See Also:
        Constant Field Values

    - #### HEADING_NODE

          public static final String HEADING_NODE

      See Also:
        Constant Field Values

    - #### HEADING_NAME

          public static final String HEADING_NAME

      See Also:
        Constant Field Values

    - #### HEADING_LEVEL

          public static final String HEADING_LEVEL

      See Also:
        Constant Field Values

    - #### SLIDE_NODE

          public static final String SLIDE_NODE

      See Also:
        Constant Field Values

    - #### EXCEL_SHEET_NODE

          public static final String EXCEL_SHEET_NODE

      See Also:
        Constant Field Values

    - #### EXCEL_SHEET

          public static final String EXCEL_SHEET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MSOfficeMetadataLexicon

          public MSOfficeMetadataLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.